"use strict";

const express = require("express");

const { getWelcome, postWelcome } = require("../controllers/welcome");
const {
  getRealEstateTypes,
  postRealEstateTypes
} = require("../controllers/realEstateTypes");
const {
  getQueryReview,
  postQueryReview
} = require("../controllers/queryReview");
const { getGoAgain } = require("../controllers/goAgain");
const { getLocation, postLocation } = require("../controllers/location");
const { getUnsubscribe } = require("../controllers/unsubscribe");
const { getRealEstates } = require("../controllers/realEstates");
const { getRedirect } = require("../controllers/redirect");
const { getFilters, postFilters } = require("../controllers/realEstateFilters");

const router = express.Router();

router.get("/", getWelcome);
router.post("/", postWelcome);

router.get("/vrstanekretnine/:searchRequestId", getRealEstateTypes);
router.get("/vrstanekretnine", getRealEstateTypes);
router.post("/vrstanekretnine/:searchRequestId", postRealEstateTypes);
router.post("/vrstanekretnine", postRealEstateTypes);

router.get("/lokacija/:searchRequestId", getLocation);
router.post("/lokacija/:searchRequestId", postLocation);

router.get("/filteri/:searchRequestId", getFilters);
router.post("/filteri/:searchRequestId", postFilters);

router.get("/pregled/:searchRequestId", getQueryReview);
router.post("/pregled/:searchRequestId", postQueryReview);

router.get("/odjava/:searchRequestId", getUnsubscribe);

router.get("/ponovo", getGoAgain);

router.get("/nekretnine/:searchRequestId", getRealEstates);

router.get("/redirect/:id", getRedirect);

module.exports = router;
